
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_area")]
    public class BaseArea
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 区域编码
        /// </summary>
        [Column("area_no")]
        public string areaNo { get; set; }

        /// <summary>
        /// 区域名称
        /// </summary>
        [Column("area_name")]
        public string areaName { get; set; }

        /// <summary>
        /// 区域类型(1库区,0路线)
        /// </summary>
        [Column("area_type_id")]
        public int? areaTypeId { get; set; }

        /// <summary>
        /// 最大存储数
        /// </summary>
        [Column("max_size")]
        public int? maxSize { get; set; }

        /// <summary>
        /// 库位序号
        /// </summary>
        [Column("area_order")]
        public int? areaOrder { get; set; }

        /// <summary>
        /// 库区1，2
        /// </summary>
        [Column("ware_house")]
        public int? wareHouse { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }

        [Column("definefield4")]
        public string definefield4 { get; set; }

        [Column("definefield5")]
        public string definefield5 { get; set; }

        [Column("definefield6")]
        public string definefield6 { get; set; }

        [Column("definefield7")]
        public string definefield7 { get; set; }

        [Column("definefield8")]
        public string definefield8 { get; set; }

        [Column("definefield9")]
        public string definefield9 { get; set; }
    }
}

